<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>globus_callback</name>
    <title>Globus Callback</title>
    <filename>group__globus__callback.html</filename>
    <subgroup>globus_callback_api</subgroup>
    <subgroup>globus_callback_spaces</subgroup>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_CALLBACK_MODULE</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>ga17dfd1ac2bd1124b47b0a0e866de2da</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_POLL_MODULE</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>gc8a63eac4e4cb6090cc2adcae2542ac2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>int</type>
      <name>globus_callback_handle_t</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>g4f85a01e5ee8a7032a531d50ce0358b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>int</type>
      <name>globus_callback_space_t</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>g69d8464a2e7fc78364a9b63533d32e3d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_l_callback_space_attr_s *</type>
      <name>globus_callback_space_attr_t</name>
      <anchorfile>group__globus__callback.html</anchorfile>
      <anchor>g1f81769836beb9770703c306deef91f2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_callback_error_type_t</name>
      <anchor>g1864147191c9e90f4b75c4ca056a81d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_CALLBACK_HANDLE</name>
      <anchor>gg1864147191c9e90f4b75c4ca056a81d66039ccd0f83107467759f9374d5e8633</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_SPACE</name>
      <anchor>gg1864147191c9e90f4b75c4ca056a81d6143271c758625fb87c3ea9a63cf14570</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_MEMORY_ALLOC</name>
      <anchor>gg1864147191c9e90f4b75c4ca056a81d6f98a928438b17ffbb943641a8194711e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_INVALID_ARGUMENT</name>
      <anchor>gg1864147191c9e90f4b75c4ca056a81d6ce22a31a5f24722e0f8674e7ba2abcb1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_ALREADY_CANCELED</name>
      <anchor>gg1864147191c9e90f4b75c4ca056a81d66dd43dbce0ca2aba4fc27704e4621acf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_ERROR_NO_ACTIVE_CALLBACK</name>
      <anchor>gg1864147191c9e90f4b75c4ca056a81d6f1945f8c19cc75fd9365a7403ba140ed</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callback_api</name>
    <title>Globus Callback API</title>
    <filename>group__globus__callback__api.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g00971be2ad46334c3675ff01a3c7870a</anchor>
      <arglist>(a)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll_blocking</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g5d2d58bfb7aab1e09b6427ac2539d147</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll_nonblocking</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g15f2dc763d06beeb14dc22a0ed6db31a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g6ad7956caeb450a920cb9d8404b54100</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_signal_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gb9f49b36b46afbbdd409187b70a327de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_oneshot</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gd6be4ca6de684bc1022366dccf02998c</anchor>
      <arglist>(callback_handle,delay_time,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_periodic</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g9e6edc0d9f68cad1b558e3decfd60a49</anchor>
      <arglist>(callback_handle,delay_time,period,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>globus_callback_register_signal_handler</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gcc271e0753bde48a3c349e8d69ce2e03</anchor>
      <arglist>(signum,persist,callback_func,callback_user_arg)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*)</type>
      <name>globus_callback_func_t</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gd4f6e4f05435a09fb460b054884a3d0f</anchor>
      <arglist>(void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_oneshot</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gdc0a255fef1494cf8e55d8d0e34f5d8f</anchor>
      <arglist>(globus_callback_handle_t *callback_handle, const globus_reltime_t *delay_time, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_periodic</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g07b9ba6e2d7e8ef08a918102c55d47f5</anchor>
      <arglist>(globus_callback_handle_t *callback_handle, const globus_reltime_t *delay_time, const globus_reltime_t *period, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_unregister</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g656416d94ee99bd72fc73165194bee43</anchor>
      <arglist>(globus_callback_handle_t callback_handle, globus_callback_func_t unregister_callback, void *unreg_arg, globus_bool_t *active)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_adjust_oneshot</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gd42e06e7a1dad6a4a33c62e30f396f05</anchor>
      <arglist>(globus_callback_handle_t callback_handle, const globus_reltime_t *new_delay)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_adjust_period</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g584921460a236b660ee99b3c1335386e</anchor>
      <arglist>(globus_callback_handle_t callback_handle, const globus_reltime_t *new_period)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_space_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>gf14495fb955b2e15354eec1cd18a6e21</anchor>
      <arglist>(const globus_abstime_t *timestop, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_signal_poll</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g2090351c87971f1944058f52190f80d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_get_timeout</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g4fbadde5b11f725dae30078aeb7a457d</anchor>
      <arglist>(globus_reltime_t *time_left)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_has_time_expired</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g2e8cdd9213143ab822d920bb2396a363</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_was_restarted</name>
      <anchorfile>group__globus__callback__api.html</anchorfile>
      <anchor>g965a3562ccc5977378e2dbd0d4cd8dd8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callback_spaces</name>
    <title>Globus Callback Spaces</title>
    <filename>group__globus__callback__spaces.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_CALLBACK_GLOBAL_SPACE</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g9cf443240780ca5c044e14869bcda8b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_callback_space_behavior_t</name>
      <anchor>g1e2eaa0f77a50d70a7e973adfb038786</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_SINGLE</name>
      <anchor>gg1e2eaa0f77a50d70a7e973adfb038786685a86fd6cb182bea310c3114c600a94</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_SERIALIZED</name>
      <anchor>gg1e2eaa0f77a50d70a7e973adfb038786db2e8d37e2a089acb6b717875ebb13bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLBACK_SPACE_BEHAVIOR_THREADED</name>
      <anchor>gg1e2eaa0f77a50d70a7e973adfb038786014ff05ec33d76d6562bffc8ddf9bca6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_init</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g6069adb3fd5caaef571844c3d508f425</anchor>
      <arglist>(globus_callback_space_t *space, globus_callback_space_attr_t attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_reference</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g140085e590a8606d72eb46a755302f6d</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_destroy</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g84d294617a0ee3e513f56ff6398773c2</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_init</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>gb907a57f597ce8792d582433ca0e157f</anchor>
      <arglist>(globus_callback_space_attr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_destroy</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g7201276cdd70c512453075bc3a6dad04</anchor>
      <arglist>(globus_callback_space_attr_t attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_set_behavior</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>gf03d0cf89279efc64432f4e4062f650f</anchor>
      <arglist>(globus_callback_space_attr_t attr, globus_callback_space_behavior_t behavior)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_attr_get_behavior</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g133f7d3432920c0d2f76f5da1a721835</anchor>
      <arglist>(globus_callback_space_attr_t attr, globus_callback_space_behavior_t *behavior)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_get</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g9e83e0f58db081d0732daf366a5abdb8</anchor>
      <arglist>(globus_callback_space_t *space)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_callback_space_get_depth</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g98a81faf764fc83f8b54db13d4e103d1</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_callback_space_is_single</name>
      <anchorfile>group__globus__callback__spaces.html</anchorfile>
      <anchor>g6eeca966aa3025db3d9dd884a4574327</anchor>
      <arglist>(globus_callback_space_t space)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callback_signal</name>
    <title>Globus Callback Signal Handling</title>
    <filename>group__globus__callback__signal.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_SIGNAL_INTERRUPT</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>g7006976298f57b5aba40aa83ec6563fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_space_register_signal_handler</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>g5d13156ff8af3c375014e14a9bc58ac1</anchor>
      <arglist>(int signum, globus_bool_t persist, globus_callback_func_t callback_func, void *callback_user_arg, globus_callback_space_t space)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callback_unregister_signal_handler</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>gc295b2e5f4582ea70c58c3beba55af9b</anchor>
      <arglist>(int signum, globus_callback_func_t unregister_callback, void *unreg_arg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_callback_add_wakeup_handler</name>
      <anchorfile>group__globus__callback__signal.html</anchorfile>
      <anchor>g19dad3a07ca8607dceebed155b390073</anchor>
      <arglist>(void(*wakeup)(void *), void *user_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_api</name>
    <title>Globus Errno Error API</title>
    <filename>group__globus__errno__error__api.html</filename>
    <subgroup>globus_errno_error_object</subgroup>
    <subgroup>globus_errno_error_accessor</subgroup>
    <subgroup>globus_errno_error_utility</subgroup>
    <docanchor file="/builddir/build/BUILD/globus_common-14.9/library/globus_error_errno.h">globus_errno_error_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_object</name>
    <title>Error Construction</title>
    <filename>group__globus__errno__error__object.html</filename>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_construct_errno_error</name>
      <anchorfile>group__globus__errno__error__object.html</anchorfile>
      <anchor>g6e1ce7ef61090158b4de3623a7d463b0</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause, const int system_errno)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_initialize_errno_error</name>
      <anchorfile>group__globus__errno__error__object.html</anchorfile>
      <anchor>g1bfe92423c140a100221740eec784e63</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *base_source, globus_object_t *base_cause, const int system_errno)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_ERROR_TYPE_ERRNO</name>
      <anchorfile>group__globus__errno__error__object.html</anchorfile>
      <anchor>gcb5eb7162b9f1ed3499ba341245024bd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_accessor</name>
    <title>Error Data Accessors and Modifiers</title>
    <filename>group__globus__errno__error__accessor.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_error_errno_get_errno</name>
      <anchorfile>group__globus__errno__error__accessor.html</anchorfile>
      <anchor>g797ccd77edb0ed072f09937385d71fee</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_errno_set_errno</name>
      <anchorfile>group__globus__errno__error__accessor.html</anchorfile>
      <anchor>gec92ef73ed767fd2d4a2948b502f4055</anchor>
      <arglist>(globus_object_t *error, const int system_errno)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_errno_error_utility</name>
    <title>Error Handling Helpers</title>
    <filename>group__globus__errno__error__utility.html</filename>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_error_errno_match</name>
      <anchorfile>group__globus__errno__error__utility.html</anchorfile>
      <anchor>g3bd4634b791a27adb61e951d8fdc53c1</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *module, int system_errno)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_wrap_errno_error</name>
      <anchorfile>group__globus__errno__error__utility.html</anchorfile>
      <anchor>ga9dadafc91a9f115e7345e75b112a6ef</anchor>
      <arglist>(globus_module_descriptor_t *base_source, int system_errno, int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format,...)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_error_api</name>
    <title>Globus Error API</title>
    <filename>group__globus__error__api.html</filename>
    <subgroup>globus_errno_error_api</subgroup>
    <subgroup>globus_generic_error_api</subgroup>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_api</name>
    <title>Globus Generic Error API</title>
    <filename>group__globus__generic__error__api.html</filename>
    <subgroup>globus_generic_error_object</subgroup>
    <subgroup>globus_generic_error_accessor</subgroup>
    <subgroup>globus_generic_error_utility</subgroup>
    <docanchor file="/builddir/build/BUILD/globus_common-14.9/library/globus_error_generic.h">globus_generic_error_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_object</name>
    <title>Error Construction</title>
    <filename>group__globus__generic__error__object.html</filename>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_construct_error</name>
      <anchorfile>group__globus__generic__error__object.html</anchorfile>
      <anchor>g76580aed13fffc1a1689ca79ef76df51</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause, int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format,...)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_v_construct_error</name>
      <anchorfile>group__globus__generic__error__object.html</anchorfile>
      <anchor>g4b64354956ca4f8840663469ff80689e</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause, const int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format, va_list ap)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_initialize_error</name>
      <anchorfile>group__globus__generic__error__object.html</anchorfile>
      <anchor>ga36f5a3d0cb4c5fd57f5bf1b602ed540</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *base_source, globus_object_t *base_cause, int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format, va_list ap)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_ERROR_TYPE_GLOBUS</name>
      <anchorfile>group__globus__generic__error__object.html</anchorfile>
      <anchor>g984732b6c2817ffce4104d8bb00fc90d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_accessor</name>
    <title>Error Data Accessors and Modifiers</title>
    <filename>group__globus__generic__error__accessor.html</filename>
    <member kind="function">
      <type>globus_module_descriptor_t *</type>
      <name>globus_error_get_source</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>gb51bbc132e361124a29ce72729fa10d0</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_source</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>g8bde72d7c440d57fc263da10c0f15dff</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *source_module)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_get_cause</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>g8984fdfe29f645ba6ddac96e79ade966</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_cause</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>gaaeb01c650724287090d4b9dc778e41b</anchor>
      <arglist>(globus_object_t *error, globus_object_t *causal_error)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_error_get_type</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>gb85044a7bf4ce59aa0f1851416e710f8</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_type</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>ga0abc6f1f9f2f1c0e3c1889979cab6c9</anchor>
      <arglist>(globus_object_t *error, const int type)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_get_short_desc</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>g898fe64e86b5ff03d9488d573d46b4ef</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_short_desc</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>g231f6a716cb0e527657a042d4fc964a6</anchor>
      <arglist>(globus_object_t *error, const char *short_desc_format,...)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_get_long_desc</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>ge1da9669d7b66ec0d9479d3eca8e6776</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_error_set_long_desc</name>
      <anchorfile>group__globus__generic__error__accessor.html</anchorfile>
      <anchor>g2a68f5815d3d6c25bb9ad8e4b3cde08c</anchor>
      <arglist>(globus_object_t *error, const char *long_desc_format,...)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_generic_error_utility</name>
    <title>Error Handling Helpers</title>
    <filename>group__globus__generic__error__utility.html</filename>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_error_match</name>
      <anchorfile>group__globus__generic__error__utility.html</anchorfile>
      <anchor>g074766d26ac90c6aecffcac9ac45cad3</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *module, int type)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_print_chain</name>
      <anchorfile>group__globus__generic__error__utility.html</anchorfile>
      <anchor>ge7cc870910225e86f337b5daa0f1cd85</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_error_print_friendly</name>
      <anchorfile>group__globus__generic__error__utility.html</anchorfile>
      <anchor>gd48663cd2e9cae29d61b03ec3087db23</anchor>
      <arglist>(globus_object_t *error)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_priority_q</name>
    <title>Priority Queue</title>
    <filename>group__globus__priority__q.html</filename>
    <class kind="struct">globus_priority_q_s</class>
    <member kind="typedef">
      <type>int(*)</type>
      <name>globus_priority_q_cmp_func_t</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>ga77561e3a429232be5f9b8ac19e441ac</anchor>
      <arglist>(void *priority_1, void *priority_2)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_priority_q_s</type>
      <name>globus_priority_q_t</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>gbf63c1101acfb0113a091f41e3023961</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_priority_q_init</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>gd1a479f6baa1eb5abd477ce9ecf0dac4</anchor>
      <arglist>(globus_priority_q_t *priority_q, globus_priority_q_cmp_func_t cmp_func)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_priority_q_destroy</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>gd090dde49638aec2d595126e8845a36e</anchor>
      <arglist>(globus_priority_q_t *priority_q)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_priority_q_empty</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>gbecc62ed49f660835022ff2cc6d61f4b</anchor>
      <arglist>(globus_priority_q_t *priority_q)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_priority_q_size</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>g83de30ad0320dd4034d73cf310cf24db</anchor>
      <arglist>(globus_priority_q_t *priority_q)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_priority_q_enqueue</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>ga5e6cdb806385bf2a8ef93baa0b1b247</anchor>
      <arglist>(globus_priority_q_t *priority_q, void *datum, void *priority)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_priority_q_dequeue</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>ge5248a45a4aebbaae05d838a3b72276e</anchor>
      <arglist>(globus_priority_q_t *priority_q)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_priority_q_first</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>g9cc49d9efd213dd5312bae016cb291bd</anchor>
      <arglist>(globus_priority_q_t *priority_q)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_priority_q_first_priority</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>g462755a3cb3d4e37baf15c70c5f57a88</anchor>
      <arglist>(globus_priority_q_t *priority_q)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_priority_q_remove</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>g0b9d685dc45ddf53aefb2ea5a2c632f2</anchor>
      <arglist>(globus_priority_q_t *priority_q, void *datum)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_priority_q_modify</name>
      <anchorfile>group__globus__priority__q.html</anchorfile>
      <anchor>g7a83e432efa3ba0f09750b0124a6b583</anchor>
      <arglist>(globus_priority_q_t *priority_q, void *datum, void *new_priority)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_thread</name>
    <title>Threading</title>
    <filename>group__globus__thread.html</filename>
    <subgroup>globus_mutex</subgroup>
    <subgroup>globus_cond</subgroup>
    <subgroup>globus_thread_key</subgroup>
    <subgroup>globus_thread_once</subgroup>
    <class kind="union">globus_thread_t</class>
    <class kind="union">globus_threadattr_t</class>
    <class kind="union">globus_thread_key_t</class>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_THREAD_CANCEL_DISABLE</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>g6baa5c6c3bd40e1bd7931cecd38f190c</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_THREAD_CANCEL_ENABLE</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>gf4a11febefd701a2459f21571551ba53</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_THREAD_MODULE</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>g520ddb3d84ad3abfc672b0ea493334e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*)</type>
      <name>globus_thread_key_destructor_func_t</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>g9ba2401c0c814568f6e70e264a479bbf</anchor>
      <arglist>(void *value)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_set_model</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>ge9825b42ded947ed3325a85fb435f3da</anchor>
      <arglist>(const char *model)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_create</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>gb2745869863ac275585dc5645419d0dc</anchor>
      <arglist>(globus_thread_t *thread, globus_threadattr_t *attr, globus_thread_func_t func, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_thread_yield</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>g2659b98ceff6c81492eac9fd6b8a62b5</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_thread_exit</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>g7550fbe615c732fff29b2eb8f0fda63f</anchor>
      <arglist>(void *value)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_sigmask</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>g8d28b7711c7ebdf09ab0efed8b91c383</anchor>
      <arglist>(int how, const sigset_t *new_mask, sigset_t *old_mask)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_kill</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>g00e7e006e0a734a9a29279be8b41c55e</anchor>
      <arglist>(globus_thread_t thread, int sig)</arglist>
    </member>
    <member kind="function">
      <type>globus_thread_t</type>
      <name>globus_thread_self</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>ga4d75d5ef9d4c03ba25070ab3981babf</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_thread_equal</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>g692c9d843e75e2b8a4907ce550ef64df</anchor>
      <arglist>(globus_thread_t thread1, globus_thread_t thread2)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_thread_preemptive_threads</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>gede39528934365b302de6c61aeff09a5</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_i_am_only_thread</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>gcf8796d7dc9c68009bc1762b4a6e40fb</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_thread_cancellable_func</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>g7eaa75fb546c31c8c0890c0d3398f041</anchor>
      <arglist>(void *(*func)(void *), void *arg, void(*cleanup_func)(void *), void *cleanup_arg, globus_bool_t execute_cleanup)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_cancel</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>gf2134300b2d80b0b7b37010ffe4bbdfe</anchor>
      <arglist>(globus_thread_t thr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_thread_testcancel</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>g74d588ee67de7edfc4f296292ab1a158</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_setcancelstate</name>
      <anchorfile>group__globus__thread.html</anchorfile>
      <anchor>g887f78adc44b57e3da97dbd7a1933f2a</anchor>
      <arglist>(int state, int *oldstate)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_mutex</name>
    <title>Mutual Exclusion</title>
    <filename>group__globus__mutex.html</filename>
    <class kind="union">globus_mutex_t</class>
    <class kind="union">globus_mutexattr_t</class>
    <class kind="struct">globus_rmutex_t</class>
    <member kind="function">
      <type>int</type>
      <name>globus_rmutex_init</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>g530a60138ca898dca4769e8ca086279f</anchor>
      <arglist>(globus_rmutex_t *rmutex, globus_rmutexattr_t *rattr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rmutex_lock</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>gc896dd9993804570b7fe79e6a8bf2168</anchor>
      <arglist>(globus_rmutex_t *rmutex)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rmutex_unlock</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>g14e29a7d613116ed92bb53e6673b6477</anchor>
      <arglist>(globus_rmutex_t *rmutex)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rmutex_destroy</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>gd6ed1f8f44f62df75639af61dbe3672e</anchor>
      <arglist>(globus_rmutex_t *rmutex)</arglist>
    </member>
    <member kind="typedef">
      <type>int</type>
      <name>globus_rmutexattr_t</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>gd1355c3ba6bf111044b3190bed6567a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_mutex_init</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>gca0f969425b3071c3ae0298b34e27e24</anchor>
      <arglist>(globus_mutex_t *mutex, globus_mutexattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_mutex_destroy</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>g8ccc317994a8b68444bf05d664d8c05f</anchor>
      <arglist>(globus_mutex_t *mutex)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_mutex_lock</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>g60ce2464b5d771f2c86bc51c0f9e6598</anchor>
      <arglist>(globus_mutex_t *mutex)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_mutex_unlock</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>g53352232e125f8a7832432a3ed44fe8d</anchor>
      <arglist>(globus_mutex_t *mutex)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_mutex_trylock</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>gc14e3d68a8c13e83118445a89a32807c</anchor>
      <arglist>(globus_mutex_t *mutex)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_mutexattr_init</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>gd23ab12feb322abbdd0940e62112e78b</anchor>
      <arglist>(globus_mutexattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_mutexattr_destroy</name>
      <anchorfile>group__globus__mutex.html</anchorfile>
      <anchor>gb08c073fcac10c8297bc67c4317a119f</anchor>
      <arglist>(globus_mutexattr_t *attr)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_cond</name>
    <title>Condition Variables</title>
    <filename>group__globus__cond.html</filename>
    <class kind="union">globus_cond_t</class>
    <class kind="union">globus_condattr_t</class>
    <member kind="function">
      <type>int</type>
      <name>globus_cond_init</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>g23529d382cdd6900e8f27a5a3bd7587f</anchor>
      <arglist>(globus_cond_t *cond, globus_condattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_cond_destroy</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>g21ba618de2ab3714bc454061533e7d11</anchor>
      <arglist>(globus_cond_t *cond)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_cond_wait</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>gffdd31eaf17a5de6ff98ea003ae3ecdc</anchor>
      <arglist>(globus_cond_t *cond, globus_mutex_t *mutex)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_cond_timedwait</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>geb2cc4af4cfa2a4a724c6af6783927fe</anchor>
      <arglist>(globus_cond_t *cond, globus_mutex_t *mutex, globus_abstime_t *abstime)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_cond_signal</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>g2097ecc32cd3ca6c3c0289f9338587a1</anchor>
      <arglist>(globus_cond_t *cond)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_cond_broadcast</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>g1b5172d771b1c44d3645f0c93e8aa265</anchor>
      <arglist>(globus_cond_t *cond)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_condattr_init</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>g2811a797a600d1cb27069887bb371a1f</anchor>
      <arglist>(globus_condattr_t *cond_attr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_condattr_destroy</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>g56e5b2b952d7b28d413bd212ff45d298</anchor>
      <arglist>(globus_condattr_t *cond_attr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_condattr_setspace</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>g17ead3cb35438b326a713f04550001c9</anchor>
      <arglist>(globus_condattr_t *cond_attr, int space)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_condattr_getspace</name>
      <anchorfile>group__globus__cond.html</anchorfile>
      <anchor>gfb8b5c5f4c6dcf9a9f882e717399fed9</anchor>
      <arglist>(globus_condattr_t *cond_attr, int *space)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_thread_key</name>
    <title>Thread-Specific Storage</title>
    <filename>group__globus__thread__key.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_key_create</name>
      <anchorfile>group__globus__thread__key.html</anchorfile>
      <anchor>g0b864dec410748fd00e08df700ea1f9e</anchor>
      <arglist>(globus_thread_key_t *key, globus_thread_key_destructor_func_t destructor)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_key_delete</name>
      <anchorfile>group__globus__thread__key.html</anchorfile>
      <anchor>g4aa299ceb3726cf8703166158ea2f0b4</anchor>
      <arglist>(globus_thread_key_t key)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_thread_getspecific</name>
      <anchorfile>group__globus__thread__key.html</anchorfile>
      <anchor>ga25fe570f8a8280dfd80ac0b1143c888</anchor>
      <arglist>(globus_thread_key_t key)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_setspecific</name>
      <anchorfile>group__globus__thread__key.html</anchorfile>
      <anchor>g33a329831d8cfa48ab430a8cb8c20609</anchor>
      <arglist>(globus_thread_key_t key, void *value)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_thread_once</name>
    <title>One-time execution</title>
    <filename>group__globus__thread__once.html</filename>
    <class kind="union">globus_thread_once_t</class>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_THREAD_ONCE_INIT</name>
      <anchorfile>group__globus__thread__once.html</anchorfile>
      <anchor>g12241199efc7957fd135d63f2eea7dbf</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_thread_once</name>
      <anchorfile>group__globus__thread__once.html</anchorfile>
      <anchor>g16cc549c6792b6c7f0613d7ddcf93dc1</anchor>
      <arglist>(globus_thread_once_t *once, void(*init_routine)(void))</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_url</name>
    <title>URL String Parser</title>
    <filename>group__globus__url.html</filename>
    <class kind="struct">globus_url_t</class>
    <member kind="enumeration">
      <name>globus_url_scheme_t</name>
      <anchor>g65a5549f127fe0efac151ea0ffd3f5a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_FTP</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a71a72da123ee034c460e43682a86fbaf9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_GSIFTP</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a798701a6efd2f0a9e51d24317207ebbae</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_HTTP</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a7d7295236b974722eafc17517c919ff9e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_HTTPS</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a7c24e9708d123e63f632eedf8796d7c70</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_LDAP</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a7bc87ad7ccd142152a23f120ceedd09a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_FILE</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a70414f774623463ca3c48c4954b43549d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_X_NEXUS</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a7c8d9bd0406ffd5542e8c5a7f82e19af9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_X_GASS_CACHE</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a7894c51e482136fe2a81a0d2334c5870b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_SCHEME_UNKNOWN</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a780e2eb8c8ebaa1cc26689e997310b954</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_URL_NUM_SCHEMES</name>
      <anchor>gg65a5549f127fe0efac151ea0ffd3f5a76a6333a9c27590ca4fc6ca76178a604e</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_parse</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gbde55acebd6847857cc4ef3839fadd38</anchor>
      <arglist>(const char *url_string, globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_parse_rfc1738</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>g2ac8d50cffbc2a49cca73d2ca64abee5</anchor>
      <arglist>(const char *url_string, globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_parse_loose</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>g09a62383959387ccbcd2f482cfd574fb</anchor>
      <arglist>(const char *url_string, globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_destroy</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>gc950d3b492bde7981658798b6177b815</anchor>
      <arglist>(globus_url_t *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_get_scheme</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>g47371b0d4284b548ab9aef0a14b285c5</anchor>
      <arglist>(const char *url_string, globus_url_scheme_t *scheme_type)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_url_copy</name>
      <anchorfile>group__globus__url.html</anchorfile>
      <anchor>g515ad29918222c54c23d4761a7497bb4</anchor>
      <arglist>(globus_url_t *dst, const globus_url_t *src)</arglist>
    </member>
  </compound>
  <compound kind="union">
    <name>globus_cond_t</name>
    <filename>unionglobus__cond__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_condattr_t</name>
    <filename>unionglobus__condattr__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_mutex_t</name>
    <filename>unionglobus__mutex__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_mutexattr_t</name>
    <filename>unionglobus__mutexattr__t.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_priority_q_s</name>
    <filename>structglobus__priority__q__s.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_rmutex_t</name>
    <filename>structglobus__rmutex__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_thread_key_t</name>
    <filename>unionglobus__thread__key__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_thread_once_t</name>
    <filename>unionglobus__thread__once__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_thread_t</name>
    <filename>unionglobus__thread__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_threadattr_t</name>
    <filename>unionglobus__threadattr__t.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_url_t</name>
    <filename>structglobus__url__t.html</filename>
    <member kind="variable">
      <type>char *</type>
      <name>scheme</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>ef873a16c6cde1caa415377f1ba10bf9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_url_scheme_t</type>
      <name>scheme_type</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>12d8f34e7815405a4594cb0f7d424bb5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>user</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>d0aa7c62df27a5bcce531567975be9de</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>password</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>9374fbe357ed3b042c8a3ec580a3b683</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>host</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>2573213ef2193506fca032efc28aea66</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>port</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>3e1e59f7ff639f795a1d212767ff01a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>url_path</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>c4c703a8a07e4db5140e6e5e3bb0e5d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>dn</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>9b46784d93b32183e0e794fe6dbc22b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>attributes</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>b1c6bc56b9b1da9b789e53459bb68bff</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>scope</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>3ba5a323dcf1c4361806b464717e8ffc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>filter</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>e0f52dec8fc4d482eb3d51bcd5231285</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>url_specific_part</name>
      <anchorfile>structglobus__url__t.html</anchorfile>
      <anchor>81cecbd8ab769749e6108b78a1ff26f0</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
